Get Log Configurations By Type

Get Log Configurations By Type
Get logs configurations of certain type

Get logs configurations of certain type

Request
URI
GET
https://{api_host}/suite-api/api/logs/configuration/{logtype}
COPY
Path Parameters
string
logtype
Required

Log type

Possible values are : ANALYTICS, COLLECTOR, WEB, VIEW_BRIDGE, VCOPS_BRIDGE, SUITEAPI,

Authentication
This operation uses the following authentication methods.
Responses
200

The logs configurations

Returns log-configuration of type(s) application/json
"No Custom Example is Available"
integer As int32 As int32
maxLogSize
Optional

This number specifies how much of log data to retain (MB)

string
rootLoggerLevel
Optional

The level of the root log

Possible values are : INFO, WARNING, ERROR, FATAL, OFF, UNKNOWN,
array of object
settings
Optional

Logs Settings


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/logs/configuration/{logtype}